data <- database_full %>%
  group_by(id) %>%
  slice(1) %>%
  ungroup()

data$Treatment_C <- as.factor(data$Treatment_C)

data$Treatment_C <- relevel(data$Treatment_C, ref = "No Treatment 3")

ols_opt_out_A<- lm( count_choosen_3 ~ as.factor(Treatment_A) ,data)
summary(ols_opt_out_A)
ols_opt_out_control_A<- lm( count_choosen_3 ~ as.factor(Treatment_A) + Z_Mean_NR + QFIncome + as.factor(Gender)+Age_mean+Uni_degree,data)
summary(ols_opt_out_control_A)

ols_opt_out_B<- lm( count_choosen_3 ~ as.factor(Treatment_B) ,data)
summary(ols_opt_out_B)
ols_opt_out_control_B<- lm( count_choosen_3 ~ as.factor(Treatment_B) + Z_Mean_NR + QFIncome + as.factor(Gender)+Age_mean+Uni_degree,data)
summary(ols_opt_out_control_B)
ols_opt_out_C<- lm( count_choosen_3 ~ as.factor(Treatment_C) ,data)
summary(ols_opt_out_C)
ols_opt_out_control_C<- lm( count_choosen_3 ~ as.factor(Treatment_C) + Z_Mean_NR + QFIncome + as.factor(Gender)+Age_mean+Uni_degree,data)
summary(ols_opt_out_control_C)

# Obtain predicted values
predictions <- predict(ols_opt_out_control_C, data, se.fit = TRUE)

# Create a data frame with predictions and standard errors
predictions_df <- data.frame(
  Treatment_C = data$Treatment_C,
  Predicted_Value = predictions$fit,
  Standard_Error = predictions$se.fit
)

# Calculate means and standard errors
means <- aggregate(Predicted_Value ~ Treatment_C, predictions_df, mean)
means$Standard_Error <- aggregate(Standard_Error ~ Treatment_C, predictions_df, mean)$Standard_Error

# Plot mean and standard errors
library(ggplot2)

ggplot(means, aes(x = as.factor(Treatment_C), y = Predicted_Value, fill = as.factor(Treatment_C))) +
  geom_bar(stat = "identity", position = "dodge") +
  geom_errorbar(aes(ymin = Predicted_Value - 1.64*Standard_Error, ymax = Predicted_Value + 1.64*Standard_Error),
                position = position_dodge(width = 0.9), width = 0.25) +
  labs(fill = "Treatment") +
  xlab("Treatment") +
  ylab("Mean Predicted Value") +
  theme_minimal()
# 
# # Create an HTML results table with customized names and stars
# results_table_1 <- stargazer(
#   ols_opt_out_1, ols_opt_out_control_1, 
#   align = TRUE,
#   type = "html",
#   dep.var.labels = "No. Opt-out choices",
#   covariate.labels = c("Video 1", "Video 2", "No Info choosen", "Text 1", "Text 2",
#                        "Female", "Divers", "Age", "mittlere Reife", "Abitur", "Berufsausbildung",
#                        "Hochschulabschluss") ,
#   star.cutoffs = c(0.1, 0.05, 0.01),  # Custom significance levels
#   star.char = c("*", "**", "***")  # Custom significance stars
# )
# 
# # Save the HTML table to a file
# writeLines(results_table_1, "Estimation_results/ols/opt_out_1.html")
# 
# # Create an HTML results table with customized names and stars
# results_table_2 <- stargazer(
#   ols_opt_out_2, ols_opt_out_control_2, 
#   align = TRUE,
#   type = "html",
#   dep.var.labels = "No. Opt-out choices",
#   covariate.labels = c("Video", "No Info choosen", "Text",
#                        "Female", "Divers", "Age", "mittlere Reife", "Abitur", "Berufsausbildung",
#                        "Hochschulabschluss") ,
#   star.cutoffs = c(0.1, 0.05, 0.01),  # Custom significance levels
#   star.char = c("*", "**", "***")  # Custom significance stars
# )
# 
# # Save the HTML table to a file
# writeLines(results_table_2, "Estimation_results/ols/opt_out_2.html")
